ranges::v3::reference_wrapper< T > Struct Template Reference
Utility
Inheritance diagram for ranges::v3::reference_wrapper< T >:

## Public Types

using | reference = meta::if_< std::is_reference< T >, T, T & >
using | type = meta::_t< std::remove_reference< T > >

## Public Member Functions

template<typename U , requires = (Constructible<base_, U>() && !Same<uncvref_t<U>, reference_wrapper>())>
constexpr | reference_wrapper (U &&u) noexcept(std::is_nothrow_constructible< base_, U >::value)